<script setup lang="ts">
const { onRender } = useScreen();

const store = useContactStore();
const { assets } = useAssets();

onRender((ctx) => {
  assets.images.home.topScreen.background.draw(ctx, 0, 0);
  ctx.globalAlpha = store.isIntro
    ? store.intro.stage2Opacity
    : store.outro.stage3Opacity;

  assets.images.contact.topScreen.background.draw(ctx, 0, 0);
});

defineOptions({
  render: () => null,
});
</script>
